import type {
  IPendingSponsorshipRequestsPresenter,
  PendingSponsorshipRequestsViewModel,
} from '@core/racing/application/presenters/IPendingSponsorshipRequestsPresenter';
import type { GetPendingSponsorshipRequestsResultDTO } from '@core/racing/application/use-cases/GetPendingSponsorshipRequestsUseCase';

export class PendingSponsorshipRequestsPresenter implements IPendingSponsorshipRequestsPresenter {
  private viewModel: PendingSponsorshipRequestsViewModel | null = null;

  reset(): void {
    this.viewModel = null;
  }

  present(data: GetPendingSponsorshipRequestsResultDTO): void {
    this.viewModel = data;
  }

  getViewModel(): PendingSponsorshipRequestsViewModel | null {
    return this.viewModel;
  }
}